= 2.6.1
* Performance improvements and fixes for issue with many requests to WPML servers

= 2.6.0
* Adjustments to PHP8: fixing string comparison backward compatibility
* Introducing sections for plugins in Commercial Tab with logic for legacy plugins.
* Restyling site-key registration form

= 2.5.4
* Remove 'repositories_include' from installer setup.

= 2.5.3
* Fixed issue with notification showing for inability to connect to wpml.org

= 2.5.2
* Fixes for backwards compatibility of plugins recommendation
* Fixed a cosmetic issue with repeating icons and background

= 2.5.1
* Fixes and improvements in logic for the plugins recommendation feature

= 2.5.0
* Implemented Plugins Recommendations which propose "glue" plugins to be installed depending on the activated compatible plugins.
* Fixed upgrading of multiple plugins in "Commercial tab" when using the "Beta" channel.
* Fixed fatal error when plugins Types, Elementor and Style Kits are installed together.
* Addressing compatibility issues with WordPress 5.5 by replacing usage of jQuery.attr method with jQuery.prop for getting and setting checkbox state.
* Adding missing permission_callback to Push route.
* Adding functionality of buying end user subscription directly on refund notice on commercial tab.
* Handling null $update_plugins parameter in logic that is run on pre_set_site_transient_update_plugins filter.

= 2.4.3
* Fix for returning WordPress api themes request result when WPML is unregistered on clear installation.
* Display messages about communication problems when unable to fetch subscription data instead of unregistering it.

= 2.4.2
* Change implementation of getting client site url, to provide always default url in case 'A different domain per language' is enabled.

= 2.4.1
* Decreasing number of calls of otgs-installer-autoload-classmap.php file and opcache hits.

= 2.4.0
* Improvement of notice styles for refund / expired subscriptions.
* Update error message links URLs on commercial tab for Toolset domain.
* Hiding the Unregister WPML from this site on commercial tab

= 2.3.0
* Added endpoints for updating subscription status

= 2.2.8
* Added missing unlink to temporary created file, fix for IIS.
* Download and activate plugins by non-network admin account is no longer possible.
* Properly marked delegated installer instance.

= 2.2.7
* Reworded confusing message for unregistered sites

= 2.2.6
* Addressed issue with unnecessary requests to WPML and Toolset servers.

= 2.2.5
* Added end-users functionality implementation in installer side.
* Fixed PHP 7.4 array notices.
* Fixed fetching subscription data by 'Check my order status'
* Fixed console error is blocking AJAX when creating a term
* New Installer messages and notices on admin panel.

= 2.2.3
* Added compatibility with WordPress version info used on /wp-admin/update-core.php
* Fixed undefined function WP_Filesystem() error that appeared during checking for updates in scheduled cron jobs.

= 2.2.2
* Fixed a deprecation notice in WordPress 5.3

= 2.2.1
* Fixed broken Layout in Toolset Installer Support page

= 2.2.0
* Installer buckets functionality in client plugins

= 2.1.0
* Using plain php templates instead twig on installer pages

= 2.0.1
* Fix for redeclaring otgs_is_rest_request()

= 2.0.0
* Upgrading minimum requirements to PHP 5.6
* Upgrading Twig library version

= 1.9.4
* Changed the version of Twig to 1.32 for PHP 5.2 compatibility
* Fix for improper update version in case registered subscription

= 1.9.3
* Fixed issue with subscription notice for Toolset Module Manager

= 1.9.2 =
* Fixed version of the otgs/icons package

= 1.9.1 =
* Fixed an issue in the way we get the current site url for fetching subscription

= 1.9.0 =
* Added the "Installer Support" screen containing some debugging tools
* Added support for WP CLI updates
* Changed how JS scripts are enqueued in order to be done only where it is needed
* Fixed issue when displaying plugin icon on WP updates screen
* Fixed RTL display on WPML wizard
* Fixed issue occurring when simpleXML extension is not installed
* Fixed issue occurring on servers that don't accept HTTPS connection

= 1.8.27 =
* Fixed a bug causing changelog info for Toolset plugins in WP admin is not updated

= 1.8.26 =
* Fixed fatal error in plugins page when Forms Commerce is installed
* Added Installer version in debug information
* Fixed error message for Types from WPML.org about registering Toolset when update is available
* Added icons for Toolset products under WPML repository
* Fixed wrong information and behaviour for Views Lite update

= 1.8.25 =
* Fix display notice for Lite products
* Fix error in plugin page

= 1.8.24 =
* Fixed wrong notice displayed for Toolset Types in plugins page
* Fixed missing Register / Registered links for some Toolset products
* Fixed wrong link in the notice of Toolset Views Lite
* Removed notice in Toolset Views Lite and Toolset Types asking to register when they registered

= 1.8.23 =
* Improved message when switching between production and beta channels
* Fixed random error thrown from Installer during plugin activation on slow connection

= 1.8.22 =
* Adjustments for distributing Views Lite and Types through the WPML repository
* Fixed JavaScript errors occurring on WPML pages in IE 11

= 1.8.21 =
* Removed source maps for transpiled JS and CSS files which were causing some false positive alerts from malware softwares

= 1.8.20 =
* Display a link for Toolset Types upgrade if there is an available paid update
* Do not include the plugin in the list of updates if it is not part of the current user subscription

= 1.8.19 =
* Fixed a bug that was preventing Types from being downloaded from wordpress.org

= 1.8.18 =
* Fixed a scenario where the `get_plugins` function might not be defined yet

= 1.8.17 =
* Implemented a notice for non-subscription users if an update is available on our site, without blocking updates from wordpress.org

= 1.8.16 =
* Improved sending of components data to be sent separately than the product registration

= 1.8.15 =
* Fixed message displayed even after sitekey gets validated
* Resolved PHP Notice Undefined index: version in specific client's dump
* Fixed incorrect comparison in the verification of subscriptions
* Improved incorrect message when trying to download a plugin but the connection times out

= 1.8.14.1 =
* Fixed Warning when components storage cache is empty

= 1.8.14 =
* Optionally collect some site information and send to our Toolset and WPML servers, such as PHP version, theme and plugins
* Resolved PHP fatal error when Types release/3.0 was active with WPML 3.9.4
* Skipped sending reports when site key is missing
* Changed the UI allowing users to send site's data
* Send Installer reports when user clicks in "How to translate" link
* Fixed Uncaught exception cURL error 35
* Fixed a PHP notice when two instances of Installer exist
* Refactored HTML to be more reusable and improved JS
* Replaced Installer setting from plugins list with an action
* Added Custom autoloader for Twig
* Started using only one version number for Installer
* Sanitized return of phpversion() in order to avoid registration issues when the option to send plugin/theme info is enabled
* Include Installer reports settings class in the beginning
* Removed autoloaded classes: replaced with custom autoloader only in `bootstrap.php`
* Included a check for equivalent subscription type for each plugin/product
* Added icons into upgrade response for WPML/Toolset plugins

= 1.8.10 =
* Removed wrongly added dependencies and repositories

= 1.8.8 =
* Fixed some conflicts

= 1.8.7 =
* Updated version numbers to all files

= 1.8.6 =
* Bug fix: When Windows file paths were longer than 256 chars updating of plugins wasn't possible
* Bug fix: PHP 7.2 warnings

= 1.8.2 =
* Bug fix: registration warning was shown for free plugins

= 1.8.1 =
* Fixed a bug potentially making the downloads list under the Commercial not display correctly

= 1.8 =
* Added support for update channels (beta, developement and production)

= 1.7.17 =
* Fixed some warnings and notices

= 1.7.16 =
* Fixed a bug with plugins list showing twice for the Toolset repository
* Replaced get_locale() with get_user_locale()
* Added WP_Installer_API::get_registering_user_id()

= 1.7.15 =
* Bug fix: New search, results not visible with WordPress 4.6 when searching from installer page
* Bug fix: A js error was showing on the admin pages: `pagenow` is undefined
* Added support for equivalent subscriptions

= 1.7.14 =
* Refactoring for compliance with Envato market

= 1.7.13 =
* Added sanitization for some inputs
* Fixed PHP notice being logged when installing a plugin from the WP plugins directory

= 1.7.12 =
* Allow to set the site keys in PHP (as constants)
* Fixed an issue with unregistered sites gets wrong info (or error) when clicking "View version x.y.x details" link

= 1.7.11 =
* Fixed styling for 'must-register' warnings on the plugins page

= 1.7.10 =
* Fixed a notice that was appearing when the site key registration failed

= 1.7.9 =
* Save the client_id value from the site_key_validation API call response and make it available via WP_Installer_API::get_ts_client_id API call

= 1.7.8 =
* Small fix for hiding the WPML registration notice

= 1.7.7 =
* Fixed js error showing up during registration
* Styles update for unified WPML messages

= 1.7.6 =
* Updated error messages when validating site keys and stopped removing site keys in case of communication errors
* Added a note for users who renewed or purchased new subscriptions and who need to revalidate their subscription from their websites
* Fixed a problem with the registrations for multi-site setups when WordPress was installed in a separate folder

= 1.7.5 =
* Fixed a bug causing registration to not be recognized for the entire network in the multi-site mode

= 1.7.4 =
* Use https for wp-types API

= 1.7.3 =
* Added a dependencies class and check for the windows paths length exception
* Bug fix: all downloads showed up twice on the plugins list whe upgrading from WPML 3.3

= 1.7.2 =
* Added an exception to handle the case when Types embedded is installer from Toolset Installer and its included Installer version overrides the one running the Toolset setup wizard

= 1.7.1 =
* Added an exception for the case of Types 1.8.9 (Installer 1.7.0) together with older WPML (older Installer)

= 1.7.0 =
* New format for the products data file.
* Other fixes

= 1.6.8 =
* Sanitized an input that was a potential security issue

= 1.6.7 =
* Fixed a bug causing repeated calls to the Toolset api to validate the user subscription
* Use https for API urls

= 1.6.6 =
* Fixed the 'Call to undefined function get_plugins()' issue

= 1.6.5 =
* Added configuration file for composer
* Updated how free plugins are shown on the plugins list (commercial tab)
* API calls for manipulating translation service preferences
* Support for hosting custom Installer packages on wpml.org
* Fixed a warning that was showing when using the OTGS_DISABLE_AUTO_UPDATES constant before any product data was downloaded
* Changed the frequency with which product updates are checked automatically (24 hours)
* Improved reporting for version numbers

= 1.6.4 =
* Enabled the OTGS_DISABLE_AUTO_UPDATES constant for theme update checks
* Fixed a bug that was causing Register links to show for all installed plugins

= 1.6.3 =
* Fixed performance issue related to themes upgrade logic

= 1.6 =
* Improved the way plugins are matched: not just by the folder name (slug) but also by name
* Added support for installing and upgrading themes from repositories (currently: Toolset themes)
* Added support for 'alias' plugins on the toolset and wpml repositories (currently: Types)
* Enhanced the progress animation during plugins downloading

= 1.5.6 =
* Updated the translations
* Fix for WPML 3.2 conditional upgrade logic

= 1.5.5 =
* Fixed the logic for the high_priority parameter
* Fixed js bug causing a conflict with NextGen
* Fixed bug preventing users to install and upgrade Types when they didn't have a Toolset subscription
* Fixed bug preventing users to upgrade from the embedded Types to the full version

= 1.5.4 =
* Option to disable auto-updates
* Escaped urls generated with add_query_arg

= 1.5.3 =
* Fixed bug in WP_Installer::custom_plugins_api_call (filter for plugins_api) causing conflicts with other filters for plugins_api

= 1.5.2 =
* More meaningful errors when plugin downloads fail
* WordPress 4.2 compatibility
* Performance improvements (will not load in places where it's not needed and not make unnecessary requests to the CDN)
* Support putting deps.xml config file in the theme folder (root)
* Included code for importing data for toolset plugins
* Use CloudFront urls for products list files

= 1.5.1 =
* Fix for allowing embedded plugins to be updated
* Logic for the migration from embedded plugins to full plugins

= 1.5 =
* Support for embedded plugins
* Bug fix: When user registers site key with trailing slash, downloads might not work
* Tweak: Set a higher timeout limit for the http requests to CDN and API
* API function: link to specific repository
* API function: get product price
* New method for defining affiliate info (with backwards compatibility)

= 1.4 =
* Show explicit error in case of connectivity issues while validating a key.
* Bug fix: Downloading plugins in bulk was broken by plugin that had a redirect after activation
* Display friendly error message when WordPress does not have permissions to write to the plugins folder
* Added support for configuration files to auto-download required plugins and theme keys
* Changed the "Update this info" button to "Check for updates" (it refreshes the subscription info and checks for updates)
* Support for high_priority parameter that allows setting priority for an Installer instance when more with the same version number exist.
* Config files from different instances are combined (define repositories in different instances)
* Updated support for conditional updates display for ICL users
* More friendly error reporting and handling when using an invalid site key or the plugins archives are not valid.


= 1.3.1 =
* Support for conditional release notification (ICanLocalize)

= 1.3 =
* Added a new repository: Toolset
* The product packages can be displayed hierarchically and ordered
* The link to automatically create site keys will follow through login on the account site (e.g. wpml.org, wp-types.com)
* Fixed animation issues (not showing in most browsers) when downloading plugins.
* Created an admin screen on the repository end (icl-mpp) to sho registration stats (site keys, site keys usage, components usage etc..).
* Bug fix: Renew and Upgrade buttons were not entirely clickable
* Bug fix: Action buttons (buy, renew, upgrade) were not displayed correctly when WPML was not active (Installer embedded in theme)
* Support for site-wide registration. Products can be registered on the network instead of on each site separately.
* Users are able to add either http or https version for any site urls. There will be one site key that will work with both http and https versions.

= 1.2 =
* Added pagination for site keys list of Account -> My Sites
* Reversed the order in which the site keys are displayed.
* Fixed problem with WPML registration information (site key) not being saved when the option_value field in the wp_options table used a different charset than the default WordPress charset defined in wp-config.php
* Allow registering new sites by clicking a link in the WordPress admin instead of copying and pasting the site url in the Account -> My Sites section
* Display more detailed debug information related to connectivity issues with the WPML repository
